Cerrar
¿Te gusta hispacad? Compártelo
Llámenos: 668 83 00 83

cambiar nombre a un bloque

Uno de los programas de diseño CAD más extendidos en todo el mundo, gracias a su versatilidad, facilidad de uso y su facilidad para la personalización, posibilitando la creación de programas que permiten mejorar las multiples herramientas de las que dispone. Esta alta capacidad de personalización hace que AutoCAD® se pueda adaptar de manera única a las necesiades de su empresa, mejorando la productividad y reduciendo el tiempo de diseño. Participe en este foro, planteando dudas o resolviendo las de los demás.

Moderadores: Jorge_BH, Yoland, SpeedCAD, Acad version

cambiar nombre a un bloque

Notapor zackarias » Mié 24 Ene, 2007 13:34

hola, a ver si alguien me puede ayudar

quisiera saber como puedo cambiar el nombre a un bloque de un dibujo, sin usar el guardar como .. es decir, sustituir el nombre de un bloque por otro cualquiera sin tener que hacer un bloque nuevo ..

gracias de antemano y saludos a todos
zackarias
 
Mensajes: 32
Registrado: Mié 22 Mar, 2006 20:06

Re: cambiar nombre a un bloque

Notapor bernie » Mié 24 Ene, 2007 13:35

rename te sirve para eso
bernie
 
Mensajes: 1003
Registrado: Dom 28 Sep, 2003 17:37
Ubicación: Bogotá,Colombia

Notapor VENTUREIRA » Mié 24 Ene, 2007 15:14

en formato cambiar nombre
VENTUREIRA
 
Mensajes: 267
Registrado: Vie 26 Mar, 2004 09:17

Re: cambiar nombre a un bloque

Notapor dominguez » Jue 25 Ene, 2007 10:50

zackarias escribió:hola, a ver si alguien me puede ayudar

quisiera saber como puedo cambiar el nombre a un bloque de un dibujo, sin usar el guardar como .. es decir, sustituir el nombre de un bloque por otro cualquiera sin tener que hacer un bloque nuevo ..

gracias de antemano y saludos a todos


Puedes usar esta rutina
Código: Seleccionar todo
;;;rutina para renombrar bloques
(defun c:rename_blok
   (/ name_old name_new)
   (setq name_old nil)
   (setq
      name_old
   (cdr
      (assoc
         2
         (entget
       (car
          (entsel"\nDesignar Bloque a Renombrar: ")
       )
         )
      )
   )
   )
   (setq
      name_new
   (getstring
      (strcat
         "\n Nombre actual del bloque...< "
         (strcase name_old)
         " >   Entrar nuevo nombre de bloque: "
      )
   )
   )
   (command"_.rename""_b"name_old name_new)
   (alert
      (strcat
    "Bloque nombre_____"(strcase name_old)
    "\nRenombrado"
    "\nNombre_____"(strcase name_new)
    "\n____________________________    "
    "\n\n\nLuis Dominguez Gómez  © 2005   "
      )
   )
   (prin1)
)


Tambien puedes usar esta otra

Código: Seleccionar todo
;Rutina para renombrar bloques
(vl-load-com)
(defun en2ob (en)
   (if(=(type en) 'ENAME)
      (vlax-ename->vla-object en)
      en
   )
)
(defun selecciona ()
   (entsel"\nSeleccione el bloque: ")
)
(defun c:renombra_bloques ()
   (setq bloque-seleccionado(selecciona))
   (setq ob-block(en2ob(car bloque-seleccionado)))
   (vla-get-objectname ob-block)
   (setq old_name(vla-get-name ob-block))
   (prin1)
   (setq new_name(getstring 1"Nombre nuevo para el bloque "))
   (vl-cmdf"_.rename""_b"OLD_NAME NEW_NAME)
   (vl-cmdf"_.regenall")
)


Saludos
Luis Dominguez Gómez
Uso acad 2008 en VISTA.
luisfuentef@gmail.com

Cuando creas que ya lo tienes claro, Te equivocas
Lo bueno deja de serlo, cuando se descubre algo mejor
dominguez
 
Mensajes: 1750
Registrado: Vie 25 Feb, 2005 14:59
Ubicación: Zaragoza (ESPAÑA)

re:

Notapor zackarias » Lun 29 Ene, 2007 10:53

gracias a todos ..

el comando rename me viene de perlas ..

hasta otra ..
zackarias
 
Mensajes: 32
Registrado: Mié 22 Mar, 2006 20:06

cambio de nombre a bloque

Notapor MARCOACAD » Mié 14 Jul, 2010 19:46

a mi también me ayudo, lo del cambio de nombre a los bloques eh!!! gracias.
MARCOACAD
 
Mensajes: 1
Registrado: Mié 14 Jul, 2010 19:40
Ubicación: AREQUIPA - PERU


Volver a AUTOCAD® / IntelliCAD®

¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 2 invitados